%define develname %mklibname -d %{name}

Name:           mupdf
Version:        1.2
Release:        %mkrel 2
Summary:        MuPDF is a lightweight PDF viewer and toolkit written in portable C
License:        GPLv3+
Group:          Publishing
URL:            http://mupdf.com/
Source0:        http://mupdf.googlecode.com/files/mupdf-%{version}-source.zip
Source1:        mupdf.desktop
Patch0:         mupdf-1.2-install-mutool.path
Patch1:         fix_mudraw_man_format.patch
BuildRequires:  libx11-devel
BuildRequires:  libxext-devel
BuildRequires:  zlib-devel
BuildRequires:  libjpeg-devel
BuildRequires:  freetype2-devel
BuildRequires:  jbig2dec-devel
BuildRequires:  openjpeg-devel
BuildRequires:  desktop-file-utils

%description
MuPDF is a lightweight PDF viewer and toolkit written in portable C.

The renderer in MuPDF is tailored for high quality anti-aliased
graphics.  MuPDF renders text with metrics and spacing accurate to
within fractions of a pixel for the highest fidelity in reproducing
the look of a printed page on screen.

MuPDF has a small footprint.  A binary that includes the standard
Roman fonts is only one megabyte.  A build with full CJK support
(including an Asian font) is approximately five megabytes.

MuPDF has support for all non-interactive PDF 1.7 features, and the
toolkit provides a simple API for accessing the internal structures of
the PDF document.  Example code for navigating interactive links and
bookmarks, encrypting PDF files, extracting fonts, images, and
searchable text, and rendering pages to image files is provided.

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{name} = %{version}-%{release}

%description -n %{develname}
This package contains the development files and headers for %{name}.

%prep
%setup -q -n mupdf-%{version}-source
%patch0 -p1
%patch1 -p1

%build
%setup_compile_flags
%make

%install
rm -rf %{buildroot}
%makeinstall
install -D -m 644 debian/mupdf.png \
    %{buildroot}%{_datadir}/pixmaps/%{name}.png

desktop-file-install \
    --dir=%{buildroot}%{_datadir}/applications/ %{SOURCE1}

%files
%doc README COPYING
%{_bindir}/mupdf
%{_bindir}/mudraw
%{_bindir}/mutool
%{_mandir}/man1/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%files -n %{develname}
%doc doc/
%{_libdir}/libfitz.a
%{_includedir}/mucbz.h
%{_includedir}/memento.h
%{_includedir}/fitz.h
%{_includedir}/mupdf.h
%{_includedir}/muxps.h


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.2-2.mga4
+ Revision: 531859
- Mageia 4 Mass Rebuild

* Mon Aug 12 2013 blue_prawn <blue_prawn> 1.2-1.mga4
+ Revision: 465599
- updated to last version 1.2

  + fwang <fwang>
    - rebuild for new openjpeg

* Sat Jan 12 2013 umeabot <umeabot> 1.1-3.mga3
+ Revision: 360510
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 07 2012 fwang <fwang> 1.1-2.mga3
+ Revision: 303251
- rebuild for new openjpeg

* Sun Sep 09 2012 blue_prawn <blue_prawn> 1.1-1.mga3
+ Revision: 291349
- adapt to the last version (replicates what "goetz" did in Mandriva)
- updated to last version 1.1

* Sat Jun 30 2012 malo <malo> 1.0-1.mga3
+ Revision: 265456
- update to 1.0 (incl. drop upstreamed patch and update file list)

* Thu Apr 12 2012 fwang <fwang> 0.9-3.mga2
+ Revision: 230357
- rebuild for new openjpeg

* Sat Jan 14 2012 wally <wally> 0.9-2.mga2
+ Revision: 195935
- fix devel pkg requires
- use setup_compile_flags macro to set up our buildtime flags
- add patch to fix str fmt
- fix license
- fix devel pkg description

* Mon Jan 09 2012 blue_prawn <blue_prawn> 0.9-1.mga2
+ Revision: 194082
- imported package mupdf

